PETSc version 3.15.5
Fix/Edit manual page

# PetscFECreateDefault

Create a PetscFE for basic FEM computation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateDefault(MPI_Comm comm, PetscInt dim, PetscInt Nc, PetscBool isSimplex, const char prefix[], PetscInt qorder, PetscFE *fem)

Collective

### Input Parameters

| comm | - The MPI comm
| dim | - The spatial dimension
| Nc | - The number of components
| isSimplex | - Flag for simplex reference cell, otherwise its a tensor product
| prefix | - The options prefix, or NULL
| qorder | - The quadrature order or PETSC_DETERMINE to use PetscSpace polynomial degree

### Output Parameter

| fem | - The PetscFE object

### Note

Each subobject is SetFromOption() during creation, so that the object may be customized from the command line, using the prefix specified above. See the links below for the particular options available.

### See Also

PetscSpaceSetFromOptions(), PetscDualSpaceSetFromOptions(), PetscFESetFromOptions(), PetscFECreate(), PetscSpaceCreate(), PetscDualSpaceCreate()

### Level

beginner

### Location

src/dm/dt/fe/interface/fe.c

### Examples

src/dm/impls/plex/tutorials/ex8.c.html
src/dm/field/tutorials/ex1.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex46.c.html
src/ts/tutorials/ex48.c.html
src/tao/tutorials/ex1.c.html
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages